Subject: RE: [Mip4] Problem of using layer 2 triggers alone for the Low latencyHandoff for MIPv4

From: "ANTOINE Stephane RD-ILAB-LON" <[email-masked]>
Date: Thu, 18 Jan 2007 15:05:49 +0100

Hello Sebastian,

Thanks for your comments. Please find my responses in-line.

Stephane

> Hello, Stephane,
>                                Thanks for your query.
> 
>                                 Please note my responses in-line.
> 
> Regards,
>      Sebastian
> 
> ANTOINE Stephane RD-ILAB-LON wrote: 
> 
> 	
> 	Hello,
> 
> 	I would like to get some feedback about the problem, as 
> described below, of using layer 2 triggers alone to initiate 
> the Low latency Handoff for MIPv4:
> 
> 	  
> 
> 	The Low Latency Handoff for MIPv4 as described in 
> 
> 	
> http://www.ietf.org/internet-drafts/draft-ietf-mobileip-lowlat
> ency-handoffs-v4-11.txt 
> <http://www.ietf.org/internet-drafts/draft-ietf-mobileip-lowla
> tency-handoffs-v4-11.txt> 
> 
> 	assumes availability of the L2 triggers which contain 
> Layer 3 information such as the IP address of the new Foreign 
> Agent. Availability of the Layer 3 information is assumed in 
> the Layer 2 trigger. However the method by which the Layer 3 
> information is made available in the Layer 2 trigger has not 
> been specified.
> 
> st> The specific procedure used to acquire the L3 
> information, such as the IP address of the appropriate access 
> gateway is dependent on the access technology over which the 
> low-latency handoff scheme is applied. For instance, the 
> radio access point or base station identifier could be used 
> to determine the L3 information associated with the radio 
> access point or the base station (L2 entities). The L3 
> information could be statically or dynamically configured at 
> the L2 entity based on the connectivity to an L3 entity 
> (access gateway).
> 
SA> It may be quite straightforward to statically configure the Layer 2
entity (Access Point (AP)) with L3 information (IP address) of the
Access Gateway (Foreign Agent) directly connected to it and have this IP
address advertised in the Beacon of the AP. However, it becomes more
problematic to have the AP advertise the IP address of the new Foreign
Agent (FA) the Mobile Node is going to handoff to. In general the AP
cannot guess which Foreign Agent the Mobile Node is going to handoff to.
The AP serving the Mobile Node may not be directly connected to the new
FA. For instance, handoff between a serving AP and a target AP that are
attached to two completely independent networks occurs when moving
between Wi-Fi and 3G. 

> 
> 	Moreover, Layer 2 trigger will actually occur in 
> response or in prevision to certain link events such as the 
> fading of the relative signal noise ratio below a certain level. 
> 
> st> Yes.
> 
> 
> 	Relying only on link information to initiate a handoff 
> does not generally gather enough information for the Mobile 
> Node to handoff to the most suitable available access network 
> at the most suitable time.
> 
> st> See the previous response on L3 information acquisition.
> 
> 	Information from layers higher than Layer 2 (that may 
> come from various protocols) can be used as triggers to 
> compensate the insufficiency of using Layer 2 triggers alone 
> for the Low latency Handoff for MIPv4.
> 
> st> The L2 trigger information is used to assist the upper 
> layer protocols, in the case of wireless mobility with 
> minimum latency, and not vice-versa. Using access technology 
> specific schemes, the required L3 information, such as the 
> serving access gateway IP address can be obtained from the L2 
> trigger information.
> 

SA> The use of the Layer 2 trigger alone to assist the upper layer
protocols is exactly what we pinpoint as being an insufficiency. If one
relies only on Layer 2 trigger information, the Handoff might always be
initiated towards a network offering the highest signal noise ratio.
However the network offering the best signal noise ratio is not always
the most suitable network for a given Mobile Node to handoff to.
One can introduce an overall system, involving higher layer triggers
that initiate the L3 handoff to the most suitable network before the L2
handoff actually takes place. 

> 	 
> 
> 	I would also appreciate receiving some feedback upon 
> the work presenting scenarios describing how the low latency 
> Handoff for MIPv4 is initiated by higher layer triggers.
> 
> 	
> http://www.ietf.org/internet-drafts/draft-antoine-mip4-lowlate
> ncy-handoff-triggers-00.txt 
> <http://www.ietf.org/internet-drafts/draft-antoine-mip4-lowlat
> ency-handoff-triggers-00.txt> 
> 
> 	 
> 
> 	Cheers
> 
> 	 
> 
> 	Stephane
> 
> 	 
> 
> 
> 

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: Sebastian Thalanany <[email-masked]>
Date: Thu, 18 Jan 2007 13:57:02 -0600

Hi, Stephane,
                          Thanks for your feedback. Please note my 
comments in-line.

Regards,
      Sebastian

>attached to two completely independent networks occurs when moving
st> The procedures by which the L2 entity discovers a connected or a 
neighboring L3 entity are beyond the scope of this draft. The layer 2 
trigger schemes proposed by this draft can be leveraged by L3 entity 
discovery schemes. The L3 entity discovery schemes could range from a 
static configiration to a dynamic configuration based on the 
reachability of one or more L3 entities from any given L2 entity. Other 
criteria, such as the associated network capacity, QoS etc. could be 
used for the selection of an L3 entity that is reachable from an L2 
entity. This approach could be used across diverse access technologies 
(Wi-Fi, 3G etc.)

>protocols is exactly what we pinpoint as being an insufficiency.
>
st> The scope of the L2 trigger schemes for a low-latency handoff allows 
a variety of techniques to acquire the required L3 information, without 
specifically defining or restricting them.

> If one
st> The draft proposes the use of L2 triggers to assist an L3 handoff, 
since L2 is closely tied with the nuances of the associated wireless 
link technology.